Subject: RE: [mobile-ip] Handover Smoothing - What to Do?

From: James Kempf <[email-masked]>
Date: Tue, 24 Jul 2001 10:04:14 -0700 (PDT)

Hi George,

>GT> The nFA has no way of know at which point the transmission was severed
>at the oldFA...i.e.: if the bicasted packets are buffered at the newFA
>(which I assume they will so this is useful) the TCP issues remain!
>

I don't understand why this should be a problem. If the nFA has
a sliding window buffer that holds only enough packets to cover a high
probability, say 95%, of the L2 handover time, then the only
problem could be if jitter caused a packet to show up in the 
buffer after it was delivered to the MN through the old L2.
The probability of that occuring shouldn't be very high if
the wired network is properly engineered to reduce jitter (overprovisioning,
etc.).

>GT> I mean that routers can buffer without the involvement of the MN i.e.:
>without the need for a protocol based negotiation.
>

Oh, OK, strike my previous comment about L2 smoothing. I agree
that buffering can be done by the routers, and I agree that
the MN should not be involved.

>
>GT> I also stated that "smoothing" options are useful and are needed so no
>disagreement there. I am only arguing that it is a separable piece of work. 
>- multiple ways of smoothing are possible for the same FMIP mechanism
>- there is a discussion to be made about buffering based methods vs
>bicasting based methods. I think both have merit but recommendation of one
>of the two would be nice interoperability/simplicity purposes
>- smoothing work is not as mature are FMIP, has not been discussed at the
>same detail which also points to the fact that are separable.
>
>GT> Karim, my main argument in this thread is not against bicasting although
>I have my own concerns which you are very well aware off. The question in
>this thread is about separating "smooth" from "fast" specs and I think I am
>not the only one who things this may be a good idea. It makes specs thinner
>if nothing else and I, at least, believe that will make FMIP specs go
>through the standards process faster...
>
>

The issue is whether the FMIP work is completely useless without 
smoothing, or whether smoothing is so intertwined with the FMIP
work that it is impossible to put it into a separate spec. I think
the fact that the FMIPv6 draft managed to successfully disentangle
them argues that the smoothing work can be separated out from
a design perspective. Whether or not FMIP is useless without
smoothing from an operational or implementation perspective
is something that can only be determined by experiment. 

As was laid out in the BETH appendex on smoothing, I think there
is a place for both buffering and bicasting, but not in the way
that proponents of both believe. Given that, it makes sense to
me to separate out smoothing and frame that as a separate issue,
for purposes of design discussion and debate, and as a way to
advance the FMIP specs. We seem to have a certain amount of
concensus on the FMIP specs, in the interests of moving them
forward, it would probably be a better idea to separate out
smoothing. 

I personally believe that smoothing is absolutely required for proper
handover, but I think we need to approach this from a practical
standpoint of how can we conclude the discussion on what we
agree so we can advance it to the IESG, rather than let it linger
as has, unfortunately, been the case with so many MIP drafts.

		jak

---

From: Michael Thomas <[email-masked]>
Date: Tue, 24 Jul 2001 10:50:45 -0700 (PDT)

> is something that can only be determined by experiment. 

   I'd say that it's not useless: if you have two interfaces,
   FMIP alone is probably sufficient since you can do a make
   before break while listening on both for some period of
   time. It might be pointed out that you could do that without
   the FMIP AR, but latencies back to the CN/HA may require a
   more localized solution to achieve a reasonable handoff.

		  Mike